Bug 746415 - Review Request: ghc-MonadCatchIO-transformers - Exception handling with IO monad transformers
Review Request: ghc-MonadCatchIO-transformers - Exception handling with IO mo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 630280 (view as bug list)
Depends On: 630270
Blocks: ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-10-15 10:49 EDT by Jens Petersen
Modified: 2011-11-11 22:28 EST (History)
5 users (show)

See Also:
Fixed In Version: ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 22:25:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2011-10-15 10:53:11 EDT
*** Bug 630280 has been marked as a duplicate of this bug. ***
Comment 3 Jens Petersen 2011-10-27 05:35:06 EDT
(Ongoing discussion with upstream about hopefully relicensing to BSD
like MonadCatchIO-mtl.)
Comment 4 Jens Petersen 2011-10-29 03:49:11 EDT
After discussions upstream, Arie has kindly uploaded a new version
relicensed to BSD in line with other MonadCatchIO code.

Spec: http://petersen.fedorapeople.org/reviews/ghc-MonadCatchIO-transformers/ghc-MonadCatchIO-transformers.spec
Srpm: http://petersen.fedorapeople.org/reviews/ghc-MonadCatchIO-transformers/ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15.src.rpm
Comment 5 Narasimhan 2011-10-30 01:11:31 EDT
Overall comments:
The line encoding is warning can be corrected.

[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-MonadCatchIO-transformers-devel-0.2.2.3-1.fc16.x86_64.rpm ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16.x86_64.rpm ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16.src.rpm ../ghc-MonadCatchIO-transformers.spec 
ghc-MonadCatchIO-transformers-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers-devel.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/ghc-MonadCatchIO-transformers-0.2.2.3/LICENSE
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

ghc-MonadCatchIO-transformers.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-MonadCatchIO-transformers.src: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 10 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, BSD 3 clause no advertising variant
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

 md5sum ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15.src/MonadCatchIO-transformers-0.2.2.3.tar.gz 
f17978745f0166342bce1ac6d7bee0e2  ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15.src/MonadCatchIO-transformers-0.2.2.3.tar.gz

md5sum ~/Downloads/MonadCatchIO-transformers-0.2.2.3.tar.gz 
f17978745f0166342bce1ac6d7bee0e2  /home/narasimhan/Downloads/MonadCatchIO-transformers-0.2.2.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
 rpm -e ghc-MonadCatchIO-transformers
error: Failed dependencies:
	ghc(MonadCatchIO-transformers-0.2.2.3) = a75918f8fa836080b22801126236fa19 is needed by (installed) ghc-MonadCatchIO-transformers-devel-0.2.2.3-1.fc16.x86_64
	ghc-MonadCatchIO-transformers = 0.2.2.3-1.fc16 is needed by (installed) ghc-MonadCatchIO-transformers-devel-0.2.2.3-1.fc16.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[-]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.
Not present.

cabal2spec-diff is OK.

APPROVED.
Comment 6 Jens Petersen 2011-10-30 21:23:03 EDT
Thanks for the review!

> ghc-MonadCatchIO-transformers.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/ghc-MonadCatchIO-transformers-0.2.2.3/LICENSE
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.

Thanks, I have now reported this upstream

> [-]SHOULD : If source files do not have license mentioned, the packager SHOULD
> query upstream.

I also asked the maintainer to consider adding source headers.
Comment 7 Jens Petersen 2011-10-30 21:30:06 EDT
New Package SCM Request
=======================
Package Name: ghc-MonadCatchIO-transformers
Short Description: Exception handling with IO monad transformers
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 8 Jon Ciesla 2011-10-31 08:17:54 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2011-11-01 04:46:29 EDT
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-MonadCatchIO-transformers-0.2.2.3-1.fc14
Comment 10 Fedora Update System 2011-11-01 04:46:51 EDT
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15
Comment 11 Fedora Update System 2011-11-01 04:46:59 EDT
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16
Comment 12 Jens Petersen 2011-11-01 04:49:57 EDT
I forgot about dos2unix will add that in the next build...
Comment 13 Fedora Update System 2011-11-02 02:59:03 EDT
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 14 Fedora Update System 2011-11-11 22:25:53 EST
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 15 Fedora Update System 2011-11-11 22:26:03 EST
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 16 Fedora Update System 2011-11-11 22:28:42 EST
ghc-MonadCatchIO-transformers-0.2.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.